Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Shader Class Reference

シェーダ More...

`#include <Shader.h>`

Inheritance diagram for Lamp::Shader:

List of all members.

## Static Public Attributes
const int | maxActiveLightCount_ = Renderer::maxActiveLightCount_
| 最大アクティブライト数
## Protected Member Functions
| Shader ()
| コンストラクタ
virtual | ~Shader ()
| デストラクタ
virtual void | buildMaterialStart (Material *material)
| マテリアル開始の構築
virtual void | drawCall (DrawRequest *request)
| 描画コール
## Protected Attributes
RenderingDevice * | device_
| レンダリングデバイス
## Friends
class | ShaderManager

## Detailed Description

シェーダ

Definition at line 39 of file Shader.h.

## Member Function Documentation

void Lamp::Shader::buildMaterialStart | ( | Material * | material | ) | `[protected, virtual]`

  | マテリアル開始の構築 Parameters:
  material | マテリアル
Reimplemented in Lamp::FixedShader. Definition at line 50 of file Shader.cpp. References device_, Lamp::Material::getBlendDestination(), Lamp::Material::getBlendMode(), Lamp::Material::getBlendSource(), Lamp::Material::isBlendEnabled(), Lamp::RenderingDevice::setBlendMode(), Lamp::RenderingDevice::setRenderState(), Lamp::RenderingDevice::setZTest(), Lamp::Material::useZTest(), and Lamp::Material::useZWrite().

void Lamp::Shader::drawCall | ( | DrawRequest * | request | ) | `[protected, virtual]`

  | 描画コール Parameters:
  request | 描画リクエスト
Definition at line 72 of file Shader.cpp. References device_, Lamp::RenderingDevice::drawIndexedTriangleList(), Lamp::RenderingDevice::drawTriangleList(), Lamp::Mesh::getIndexBuffer(), Lamp::DrawRequest::getMesh(), Lamp::Mesh::getPrimitiveCount(), Lamp::Mesh::getVertexCount(), Lamp::Mesh::hasVertexIndices(), Lamp::DrawRequest::isMeshDataChanged(), and Lamp::RenderingDevice::setIndexBuffer(). Referenced by Lamp::FixedShader::drawFixed().

The documentation for this class was generated from the following files:

- Shader.h
- Shader.cpp